
#ifndef BLUINK_USB_H_
#define BLUINK_USB_H_

#include "app_usbd.h"
#include "app_usbd_core.h"
#include "app_usbd_hid_generic.h"

//#include "bsp.h"


/**
 * @brief Enable USB power detection
 */
#ifndef USBD_POWER_DETECTION
//#define USBD_POWER_DETECTION true
#define USBD_POWER_DETECTION false
#endif

/**
 * @brief USB composite interface enumerator
 */
enum {
    APP_USBD_INTERFACE_U2F = 0
};

void bluink_usb_init( void );
void bluink_usb_start( void );
void bluink_process_usb_events( void );

const app_usbd_hid_generic_t *bluink_get_global_hid_u2f( void );
void app_usbd_hid_u2f_process_report( void * p_event_data, uint16_t event_size );

#endif // BLUINK_USB_H_
